#!/usr/bin/env python
# -*- coding: utf-8 -*-
from os import environ, chdir
import platform
import subprocess
import sys

try:  # noqa
    chdir(sys.path[0])  # noqa
    subprocess.call(('pip', 'install', '-r', 'requirements.txt'))  # noqa
except Exception:  # noqa
    pass  # hope it works  # noqa


from twisted.internet import reactor, defer
from twisted.internet.task import LoopingCall


import uptime
import logging
from inspect import getfullargspec, isfunction

from agent.SerialLineReceiverBase import SerialLineReceiverBase
from agent.agent import init_serial, reactor
# Note: Import everything because later we need to use the BaseContext
# (relative import error.
from agent.context import BaseContext, get_context  # noqa

Context = get_context()


if __name__ == '__main__':
    logging.basicConfig()
    logger = logging.getLogger()
    level = environ.get('LOGLEVEL', 'INFO')

    logger.setLevel(level)

    init_serial()
